
Name: kfourinline
Summary: Place 4 pieces in a row
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
URL: http://www.kde.org/applications/games/kfourinline/
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel

BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kitemmodels-devel
BuildRequires: kdbusaddons-devel
BuildRequires: kdeclarative-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kitemviews-devel
BuildRequires: kiconthemes-devel
BuildRequires: kcompletion-devel
BuildRequires: kxmlgui-devel
BuildRequires: kdnssd-devel
BuildRequires: kio-devel
BuildRequires: knotifyconfig-devel
BuildRequires: kdelibs4support-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl


%description
KFourInLine is a board game for two players based on the Connect-Four game.

The players try to build up a row of four pieces using different strategies.

%files
%_kf5_bindir/kfourinline
%_kf5_bindir/kfourinlineproc
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/kfourinline
%_kf5_iconsdir/hicolor/*/apps/kfourinline.png
%_kf5_datadir/config.kcfg/kwin4.kcfg
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/kfourinline.categories
/usr/share/metainfo/org.kde.kfourinline.appdata.xml
#------------------------------------------------------------------------------

%package -n kfourinline-handbook
Summary: kfourinline handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kfourinline-handbook
This package provides the kfourinline handbook.

%files -n kfourinline-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

